Name:           libnet
Version:        1.1.6
Release:        17
Summary:        A C library to help with construction and handling of network packets
License:        BSD
URL:            http://www.sourceforge.net/projects/libnet-dev/
Source:         http://downloads.sourceforge.net/libnet-dev/%{name}-%{version}.tar.gz
BuildRequires:  automake autoconf libtool

%description
Libbet provides a fairly portable framework for network packet
construction an injuction.

%package        devel
Summary:        development files are included in this package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files.

%package        help
Summary:        help files are included in this package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    help
This package contains help documents.

%prep
%autosetup -p1
autoreconf -if


rm -rf __dist_sample
mkdir __dist_sample
cp -a sample __dist_sample

%build
%configure
%make_build

%install
%make_install INSTALL='install -p'
%delete_la_and_a

rm -rf __dist_sample/sample/win32
rm -f __dist_sample/sample/Makefile.{am,in}
sed -e 's@#include "../include/libnet.h"@#include <libnet.h>@' \
  __dist_sample/sample/libnet_test.h > __dist_sample/sample/libnet_test.h.new
touch -cr __dist_sample/sample/libnet_test.h{,.new}
mv -f __dist_sample/sample/libnet_test.h{.new,}

rm -f doc/html/Makefile*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc doc/COPYING
%{_libdir}/%{name}.so.*

%files devel
%doc __dist_sample/sample/
%{_libdir}/%{name}.so
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_includedir}/libnet.h

%files help
%doc README doc/CHANGELOG doc/CONTRIB doc/DESIGN_NOTES doc/MIGRATION
%doc doc/PACKET_BUILDING doc/RAWSOCKET_NON_SEQUITUR doc/TODO doc/html/
%{_mandir}/man3/%{name}*.3*

%changelog
* Tue  Sep 17 2019 Yiru Wang <wangyiru1@huawei.com> - 1.1.6-17
- Pakcage init
